Subject: bug#8132: 23.1; comint shell replaces \ in paths with /

From: Lennart Borgman <[email-masked]>
Date: Mon, 28 Feb 2011 16:47:42 +0100

On Mon, Feb 28, 2011 at 3:59 PM, Zeljko Vrba <[email-masked]> wrote:
> On 2011-02-28 4:32 AM, Stefan Monnier wrote:
>>>
>>> On Windows 7 (64-bit mod), run M-x shell, and try to do any filename
>>> expansion.  All backslashes (even
>>> manually typed!) are converted to forward slashes upon tab-expansion.
>>
>> Yes, that's the expected behavior.  Could you explain why it's
>> a problem?
>>
> It is a problem because commands built in to cmd.exe (and also external
> commands) interpret slash as a command-line switch character.  So you end up
> with the following situation:
>
> --> comint expanded \ to / : del ../lpeg-0.10.2/re.html
> Invalid switch - "lpeg-0.10.2".
>
> In short, it breaks all native windows command-line tools.
>
> Best regards,
>  Zeljko.

Does not most external commands recognize paths with / in them? Which
external commands does not do that?